org.eclipse.remote.core

## Interface IRemoteProcessSignalService

All Superinterfaces:
  IRemoteProcess.Service

    public interface IRemoteProcessSignalService
    extends IRemoteProcess.Service

A service abstraction for signals.

Since:
  2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteProcess.Service

`IRemoteProcess.Service.Factory`

### Field Summary

Fields
`static int` `ABRT`
`static int` `ALRM`
`static int` `CONT`
`static int` `FPE`
`static int` `HUP`
`static int` `ILL`
`static int` `INT`
`static int` `KILL`
`static int` `PIPE`
`static int` `QUIT`
`static int` `SEGV`
`static int` `STOP`
`static int` `TERM`
`static int` `TSTP`
`static int` `USR1`
`static int` `USR2`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `sendSignal(int signal)` Send a signal to the remote process.

### Methods inherited from interface org.eclipse.remote.core.IRemoteProcess.Service

`getRemoteProcess`

### Field Detail

#### HUP

    static final int HUP

See Also:
  Constant Field Values

#### INT

    static final int INT

See Also:
  Constant Field Values

#### QUIT

    static final int QUIT

See Also:
  Constant Field Values

#### ILL

    static final int ILL

See Also:
  Constant Field Values

#### ABRT

    static final int ABRT

See Also:
  Constant Field Values

#### FPE

    static final int FPE

See Also:
  Constant Field Values

#### KILL

    static final int KILL

See Also:
  Constant Field Values

#### SEGV

    static final int SEGV

See Also:
  Constant Field Values

#### PIPE

    static final int PIPE

See Also:
  Constant Field Values

#### ALRM

    static final int ALRM

See Also:
  Constant Field Values

#### TERM

    static final int TERM

See Also:
  Constant Field Values

#### STOP

    static final int STOP

See Also:
  Constant Field Values

#### TSTP

    static final int TSTP

See Also:
  Constant Field Values

#### CONT

    static final int CONT

See Also:
  Constant Field Values

#### USR1

    static final int USR1

See Also:
  Constant Field Values

#### USR2

    static final int USR2

See Also:
  Constant Field Values

### Method Detail

#### sendSignal

    void sendSignal(int signal)
             throws RemoteConnectionException

Send a signal to the remote process.

Parameters:
  `signal` - signal to send.
Throws:
  `RemoteConnectionException` - if the underlying connection fails
Since:
  2.0